Name:           spectra
Version:        0.9.0
Release:        %mkrel 1
Summary:        C++ Library For Large Scale Eigenvalue Problems
Group:          Development/C++
License:        MPLv2.0
URL:            https://github.com/yixuan/spectra
Source0:        spectra-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  clang-tools-extra
BuildRequires:  cmake
BuildRequires:  pkgconfig(eigen3)
Requires:       spectra-devel

%description
Spectra stands for Sparse Eigenvalue Computation Toolkit as a Redesigned ARPACK.
It is a C++ library for large scale eigenvalue problems, built on top of Eigen,
an open source linear algebra library.

#-----------------------------------------------------------------------------

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}0
Summary:        C++ Library For Large Scale Eigenvalue Problems
Group:          Development/C++
Requires:       pkgconfig(eigen3)
Provides:       %{name}-devel = %{version}

%description -n %{devel_name}0
C++ Library For Large Scale Eigenvalue Problems (development files).

%files -n %{devel_name}0
%license LICENSE
%doc AUTHORS.md README.md
%defattr(-,root,root,-)
%{_includedir}/Spectra/
%{_prefix}/cmake{,.*}

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Fri Nov 11 2022 squidf <squidf> 0.9.0-1.mga9
+ Revision: 1905689
- imported package spectra

